curl --request PATCH \
--url https://api-sandbox.revolv3.com/api/Customers/{customerId}/address/{addressId} \
--header 'Content-Type: application/json-patch+json' \
--header 'x-revolv3-token: <api-key>' \
--data '
{
"addressLine1": "101 Update Street",
"addressLine2": null,
"city": "Irvine",
"state": null,
"postalCode": "92602",
"phoneNumber": null,
"email": null,
"country": null
}
'import requests
url = "https://api-sandbox.revolv3.com/api/Customers/{customerId}/address/{addressId}"
payload = {
"addressLine1": "101 Update Street",
"addressLine2": None,
"city": "Irvine",
"state": None,
"postalCode": "92602",
"phoneNumber": None,
"email": None,
"country": None
}
headers = {
"x-revolv3-token": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-revolv3-token': '<api-key>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
addressLine1: '101 Update Street',
addressLine2: null,
city: 'Irvine',
state: null,
postalCode: '92602',
phoneNumber: null,
email: null,
country: null
})
};
fetch('https://api-sandbox.revolv3.com/api/Customers/{customerId}/address/{addressId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.revolv3.com/api/Customers/{customerId}/address/{addressId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'addressLine1' => '101 Update Street',
'addressLine2' => null,
'city' => 'Irvine',
'state' => null,
'postalCode' => '92602',
'phoneNumber' => null,
'email' => null,
'country' => null
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json-patch+json",
"x-revolv3-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.revolv3.com/api/Customers/{customerId}/address/{addressId}"
payload := strings.NewReader("{\n \"addressLine1\": \"101 Update Street\",\n \"addressLine2\": null,\n \"city\": \"Irvine\",\n \"state\": null,\n \"postalCode\": \"92602\",\n \"phoneNumber\": null,\n \"email\": null,\n \"country\": null\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-revolv3-token", "<api-key>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api-sandbox.revolv3.com/api/Customers/{customerId}/address/{addressId}")
.header("x-revolv3-token", "<api-key>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"addressLine1\": \"101 Update Street\",\n \"addressLine2\": null,\n \"city\": \"Irvine\",\n \"state\": null,\n \"postalCode\": \"92602\",\n \"phoneNumber\": null,\n \"email\": null,\n \"country\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.revolv3.com/api/Customers/{customerId}/address/{addressId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-revolv3-token"] = '<api-key>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"addressLine1\": \"101 Update Street\",\n \"addressLine2\": null,\n \"city\": \"Irvine\",\n \"state\": null,\n \"postalCode\": \"92602\",\n \"phoneNumber\": null,\n \"email\": null,\n \"country\": null\n}"
response = http.request(request)
puts response.read_body{
"customerId": 1,
"merchantCustomerRefId": "1234-5678-9101",
"firstName": "John",
"lastName": "Doe",
"billingAddresses": [
{
"addressId": 1,
"addressLine1": "101 Update Street",
"addressLine2": "",
"city": "Irvine",
"state": "CA",
"postalCode": "92602",
"phoneNumber": null,
"email": null,
"country": "US"
}
],
"shippingAddresses": [],
"taxAddresses": [],
"subscriptions": []
}{
"message": "Unable to perform the request action with provided data.",
"serverRequestId": "4bf92f3577b34da6a3ce929d0e0e4736",
"clientRequestId": "cddab9d1-7caa-43d9-8b1d-f688134c44b0"
}{
"message": "Attempted to perform an unauthorized operation.",
"serverRequestId": "4bf92f3577b34da6a3ce929d0e0e4736",
"clientRequestId": "cddab9d1-7caa-43d9-8b1d-f688134c44b0"
}{
"message": "Unable to find an entity with the provided data.",
"serverRequestId": "4bf92f3577b34da6a3ce929d0e0e4736",
"clientRequestId": "cddab9d1-7caa-43d9-8b1d-f688134c44b0"
}Update Address
Updates the details of an existing customer address, such as street, city, postal code, or country. Only the fields provided in the request will be updated — others will remain unchanged.
This endpoint is commonly used when a customer changes residence, corrects an error in their address, or updates billing information for compliance or tax purposes.
curl --request PATCH \
--url https://api-sandbox.revolv3.com/api/Customers/{customerId}/address/{addressId} \
--header 'Content-Type: application/json-patch+json' \
--header 'x-revolv3-token: <api-key>' \
--data '
{
"addressLine1": "101 Update Street",
"addressLine2": null,
"city": "Irvine",
"state": null,
"postalCode": "92602",
"phoneNumber": null,
"email": null,
"country": null
}
'import requests
url = "https://api-sandbox.revolv3.com/api/Customers/{customerId}/address/{addressId}"
payload = {
"addressLine1": "101 Update Street",
"addressLine2": None,
"city": "Irvine",
"state": None,
"postalCode": "92602",
"phoneNumber": None,
"email": None,
"country": None
}
headers = {
"x-revolv3-token": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-revolv3-token': '<api-key>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
addressLine1: '101 Update Street',
addressLine2: null,
city: 'Irvine',
state: null,
postalCode: '92602',
phoneNumber: null,
email: null,
country: null
})
};
fetch('https://api-sandbox.revolv3.com/api/Customers/{customerId}/address/{addressId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.revolv3.com/api/Customers/{customerId}/address/{addressId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'addressLine1' => '101 Update Street',
'addressLine2' => null,
'city' => 'Irvine',
'state' => null,
'postalCode' => '92602',
'phoneNumber' => null,
'email' => null,
'country' => null
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json-patch+json",
"x-revolv3-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.revolv3.com/api/Customers/{customerId}/address/{addressId}"
payload := strings.NewReader("{\n \"addressLine1\": \"101 Update Street\",\n \"addressLine2\": null,\n \"city\": \"Irvine\",\n \"state\": null,\n \"postalCode\": \"92602\",\n \"phoneNumber\": null,\n \"email\": null,\n \"country\": null\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-revolv3-token", "<api-key>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api-sandbox.revolv3.com/api/Customers/{customerId}/address/{addressId}")
.header("x-revolv3-token", "<api-key>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"addressLine1\": \"101 Update Street\",\n \"addressLine2\": null,\n \"city\": \"Irvine\",\n \"state\": null,\n \"postalCode\": \"92602\",\n \"phoneNumber\": null,\n \"email\": null,\n \"country\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.revolv3.com/api/Customers/{customerId}/address/{addressId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-revolv3-token"] = '<api-key>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"addressLine1\": \"101 Update Street\",\n \"addressLine2\": null,\n \"city\": \"Irvine\",\n \"state\": null,\n \"postalCode\": \"92602\",\n \"phoneNumber\": null,\n \"email\": null,\n \"country\": null\n}"
response = http.request(request)
puts response.read_body{
"customerId": 1,
"merchantCustomerRefId": "1234-5678-9101",
"firstName": "John",
"lastName": "Doe",
"billingAddresses": [
{
"addressId": 1,
"addressLine1": "101 Update Street",
"addressLine2": "",
"city": "Irvine",
"state": "CA",
"postalCode": "92602",
"phoneNumber": null,
"email": null,
"country": "US"
}
],
"shippingAddresses": [],
"taxAddresses": [],
"subscriptions": []
}{
"message": "Unable to perform the request action with provided data.",
"serverRequestId": "4bf92f3577b34da6a3ce929d0e0e4736",
"clientRequestId": "cddab9d1-7caa-43d9-8b1d-f688134c44b0"
}{
"message": "Attempted to perform an unauthorized operation.",
"serverRequestId": "4bf92f3577b34da6a3ce929d0e0e4736",
"clientRequestId": "cddab9d1-7caa-43d9-8b1d-f688134c44b0"
}{
"message": "Unable to find an entity with the provided data.",
"serverRequestId": "4bf92f3577b34da6a3ce929d0e0e4736",
"clientRequestId": "cddab9d1-7caa-43d9-8b1d-f688134c44b0"
}Headers
Optional identifier generated by the client to match its own logs with this request.
Allowed values: 1 to 128 characters, letters, digits and ., _, :, -.
Examples: order-12345, 3f2b8c1e-9d4a-4e7b-a1c5-6b0d2e8f7a91 (GUID), checkout:2026-11-02.17, retry_1.order-12345.
A valid value is returned in the Client-Request-Id response header and is stored with Revolv3 request logs, so it can be used when contacting support.
An invalid value is ignored and the request is processed normally. Do not send sensitive data in this header.
1 - 128^[A-Za-z0-9._:-]{1,128}$Path Parameters
Body
Response
OK

